Upgrade uw Bitcoin client

on .

wallet
Op 12 maart van dit jaar vond er een onverwachte technische storing plaats in het Bitcoin netwerk, zoals we dit al eerder hadden gerapporteerd een aantal weken geleden. Er was plotseling een splitsing ontstaan in de Bitcoin blockchain, wat men ook wel een blockchain fork noemt. Je kan een van onze vorige artikelen bekijken om meer over deze gebeurtenis te lezen : De blockchain fork van 2013.


De oorzaak van deze technische storing was dat de helft van de grote Bitcoin-miners en mining pools gebruik maakte van de officiële Bitcoin-QT applicatie en de laatste versie van deze client nog niet hadden geïnstalleerd. De nieuwe versie (0.8) applicatie had op gegeven moment de blockchain anders verwerkt vergeleken met de oude (0.7) Bitcoin-QT versie. De blockchain-fork was hiermee een feit. Echter, dankzij goede samenwerking van de Bitcoin ontwikkelaar gemeenschap was het probleem binnen een paar uurtjes snel opgelost.

Door deze gebeurtenis is het duidelijk geworden dat een gedecentraliseerde munteenheid goed kan functioneren zonder een centrale autoriteit. Om deze technische storing in de toekomst te voorkomen heeft Gavin Andresen aangegeven dat men de nieuwste versie moeten downloaden zodat men zonder problemen gebruik kan maken van de officiele Bitcoin client. Gavin Andresen is de hoofd project ontwikkelaar van de officiële Bitcoin applicatie en werkt voor de Bitcoin Foundation en nu ook Bitpay. Het was ruim een maand van te voren aan gegeven dat men moest upgraden naar de nieuwste versie. Aan de ene kant gaat dit tegen het principe van het Bitcoin protocol dat er een persoon is die het Bitcoin protocol kan aanpassen en iets fundamenteels kan veranderen aan het Bitcoin protocol, zoals het maximale aantal Bitcoins. Maar iedereen kan de source code van de Bitcoin-QT applicatie doornemen op Github om te controleren of er een aanpassing werd gedaan waarmee men niet akkoord gaat. En Gavin heeft iedereen ruim de tijd gegeven om de source code door te nemen en om te controleren of er fouten in zitten. Hij is bewust dat als hij een fundamentele verandering aanbrengt in het Bitcoin protocol waarmee de Bitcoin gemeenschap niet akkoord gaat, zou er een grote backlash tegen hem kunnen ontstaan zoals hij heeft aangegeven in dit interview : Triangulation 103: Gavin Andresen.

Als jouw Bitcoin-QT applicatie een andere versie is dan versie 0.8.1, ga dan snel naar Bitcoin.org om de nieuwste versie te downloaden. Als je niet je Bitcoin applicatie upgrade kan je niet meer synchroniseren met het netwerk en zou je geen transacties meer kunnen doen. Als je gebruik maakt van een alternatieve Bitcoin applicaties zoals : Multibit, Electrum of Armory is er geen reden om je zorgen te maken Je kunt meer informatie vinden over deze gebeurtenis door de onderstaande links te bezoeken.

http://mineforeman.com/2013/04/09/pre-Bitcoin-fork-warning-upgrade-your-Bitcoind-clients-now

http://mineforeman.com/2013/05/13/last-forking-warning/

David Britt
awipabritt@gmail.com

Add comment


Security code
Refresh